Bug 1086890 - empty modify returns LDAP_INVALID_DN_SYNTAX
Summary: empty modify returns LDAP_INVALID_DN_SYNTAX
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-11 18:37 UTC by Noriko Hosoi
Modified: 2020-09-13 21:02 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1086889
Environment:
Last Closed: 2015-03-05 09:34:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1104 0 None None None 2020-09-13 21:02:57 UTC
Red Hat Product Errata RHSA-2015:0416 0 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-04-11 18:37:35 UTC
Description of problem:
Doing an empty modify operation returns LDAP_INVALID_DN_SYNTAX to the client. It should be allowed with no errors.

Version-Release number of selected component (if applicable):


How reproducible:
ldapbertest

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Viktor Ashirov 2014-12-01 16:54:16 UTC
$ rpm -qa  | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

I ran ldapbertest, here's the output from testcases 83 and 84: 

Executing test test083ModifyNoMods

Completed test test083ModifyNoMods
######################################################################
tp083: expect=0 actual=0
PASS
######################################################################

Executing test test084ModifyEmptyMods

Completed test test084ModifyEmptyMods
######################################################################
tp084: expect=0 actual=0
PASS
######################################################################

Hence marking as VERIFIED.

Comment 4 errata-xmlrpc 2015-03-05 09:34:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.